import java.sql.*;

public class MDts
{
	public static void main(String args[]) throws Exception {
		Class.forName("org.postgresql.Driver");
		Connection conn = DriverManager.getConnection("jdbc:postgresql://localhost:5844/jurka","jurka","");

		DatabaseMetaData dbmd = conn.getMetaData();
		ResultSet rs = dbmd.getColumns("%", "%", "pg_ts_dict", "%");
		printResultSet(rs);
		conn.close();
	}

	/**
	 * Print a ResultSet to System.out.
	 * This is useful for debugging tests.
	 */
	public static void printResultSet(ResultSet rs) throws SQLException {
		ResultSetMetaData rsmd = rs.getMetaData();
		for (int i = 1; i <= rsmd.getColumnCount(); i++)
		{
			if (i != 1)
			{
				System.out.print(", ");
			}
			System.out.print(rsmd.getColumnName(i));
		}
		System.out.println();
		while (rs.next())
		{
			for (int i = 1; i <= rsmd.getColumnCount(); i++)
			{
				if (i != 1)
				{
					System.out.print(", ");
				}
				System.out.print(rs.getString(i));
			}
			System.out.println();
		}
	}
}
